# ``twisted`.`mail`.`protocols`.`POP3Factory``

class documentation

`class POP3Factory(protocol.ServerFactory): (source)`

View In Hierarchy

A POP3 server protocol factory.

Method | `__init__` |
Method | `buildProtocol` | Create an instance of a POP3 server protocol.
Instance Variable | `protocol` | A callable which creates a protocol. The default value is `VirtualPOP3`.
Instance Variable | `service` | See `__init__`

Inherited from `Factory` (via `ServerFactory`):

Class Method | `forProtocol` | Create a factory for the given protocol.
Method | `doStart` | Make sure startFactory is called.
Method | `doStop` | Make sure stopFactory is called.
Method | `logPrefix` | Describe this factory for log messages.
Method | `startFactory` | This will be called before I begin listening on a Port or Connector.
Method | `stopFactory` | This will be called before I stop listening on all Ports/Connectors.
Class Variable | `noisy` | Undocumented
Instance Variable | `numPorts` | Undocumented

def __init__(self, service): (source)

Parameters
service:`MailService` | An email service.

def buildProtocol(self, addr): (source)
from `twisted.internet.interfaces.IProtocolFactory`
overrides `twisted.internet.protocol.Factory.buildProtocol`
Create an instance of a POP3 server protocol.

Parameters
addr:`IAddress` provider | The address of the POP3 client.
Returns
`POP3` | A POP3 protocol.

protocol: no-argument callable which returns a `Protocol` subclass = (source)
overrides `twisted.internet.protocol.Factory.protocol`
A callable which creates a protocol. The default value is `VirtualPOP3`.
service = (source)
See `__init__`